Bug 998341 - CVE-2011-4718 CVE-2013-4248 php: various flaws [fedora-all]
CVE-2011-4718 CVE-2013-4248 php: various flaws [fedora-all]
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: php (Show other bugs)
19
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2011-4718 CVE-2013-4248
  Show dependency treegraph
 
Reported: 2013-08-19 01:14 EDT by Huzaifa S. Sidhpurwala
Modified: 2013-09-08 19:25 EDT (History)
3 users (show)

See Also:
Fixed In Version: php-5.4.19-1.fc18
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-23 20:04:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2013-08-19 01:14:29 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.

[bug automatically created by: add-tracking-bugs]
Comment 1 Huzaifa S. Sidhpurwala 2013-08-19 01:14:47 EDT
Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=996774,998341
Comment 2 Huzaifa S. Sidhpurwala 2013-08-19 01:16:33 EDT
Adding parent bug 997097 (for CVE-2013-4248).  Please use this new bodhi update url when correcting these flaws:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=998341,996774,997097
Comment 3 Fedora Update System 2013-08-19 05:36:40 EDT
php-5.5.2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/php-5.5.2-1.fc19
Comment 4 Remi Collet 2013-08-19 05:55:11 EDT
CVE-2011-4718, see description of the change in
https://wiki.php.net/rfc/strict_sessions

Notice : by default the session.use_strict_mode option is not set.
Comment 5 Huzaifa S. Sidhpurwala 2013-08-19 05:57:55 EDT
(In reply to Remi Collet from comment #4)
> CVE-2011-4718, see description of the change in
> https://wiki.php.net/rfc/strict_sessions
> 
> Notice : by default the session.use_strict_mode option is not set.

In order to enable use of strict sessions the following will need to be added to php.ini

use_strict_session = On

Please note the compatibility issues with existing applications listed at:

https://wiki.php.net/rfc/strict_sessions#compatibility
Comment 6 Fedora Update System 2013-08-19 10:36:19 EDT
php-5.4.18-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/php-5.4.18-1.fc18
Comment 7 Fedora Update System 2013-08-19 17:23:41 EDT
Package php-5.4.18-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing php-5.4.18-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-14985/php-5.4.18-1.fc18
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2013-08-23 20:04:57 EDT
php-5.5.3-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-09-08 19:25:39 EDT
php-5.4.19-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.